﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication78.ViewModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Controls;
using Infragistics;
 



namespace WpfApplication78
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        VM vm = new VM();
        public MainWindow()
        {
            InitializeComponent();

            layoutroot.DataContext = vm;

        }


 

        private void activerecord_Click(object sender, RoutedEventArgs e)
        {

            double dindex = 0;
            int index = 0;
            if (double.TryParse(xnum.Value.ToString(), out dindex))
            {
                index = (int)dindex; 
            }


           DataRecord dr =  xgrid1.GetRecordFromDataItem(vm.People[index],false);
           Record r = dr as Record;

           xgrid1.ActiveRecord = r;

           DataRecord dra = xgrid1.ActiveRecord as DataRecord;

           Person p1 = vm.People[index];

           Person p2 = xgrid1.ActiveDataItem as Person;

           string s = " setting activerecord test - record index " + index.ToString();

           if (p1 == p2)
           {
               s += "  dataitems are the same ";
               MessageBox.Show(s);
           }
           else
           {
               s += "  dataitems are different ";
               MessageBox.Show(s);
           }


        }

        private void activedataitem_Click(object sender, RoutedEventArgs e)
        {
            int index = 0;
            double dindex = 0;
            if (double.TryParse(xnum.Value.ToString(), out dindex))
            {
                index = (int)dindex; 
            }

            DataRecord dr = xgrid1.GetRecordFromDataItem(vm.People[index], false);
            Record r = dr as Record;

            xgrid1.ActiveDataItem = vm.People[index];

            string s = "setting activedataitem test -  record index " + index.ToString();

            if (r == xgrid1.ActiveRecord)
            {
                s += " Active Records are the same ";
                MessageBox.Show(s);

            }
            else
            {
                s += " Active Records are different ";
                MessageBox.Show(s);
            }

        }
    }
}
