﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication78.ViewModel
{
  public    class Person:INotifyPropertyChanged
    {
      string name = string.Empty;
      public string Name
      {
          get {return name;}
          set { name = value;
          NotifyPropertyChanged("Name");
          }
      }

      decimal realpercentage = 0.00m;
      public decimal RealPercentage
      {
          get { return realpercentage; }
          set { realpercentage = value; }
      }

      public event PropertyChangedEventHandler PropertyChanged;

      private void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }

    }
}
